Summary:	A security audit system and intrusion detection system
Name:		sectool
Version:	0.9.5
Release:	%mkrel 3
URL:		https://hosted.fedoraproject.org/sectool/wiki/WikiStart
Source0:	https://fedorahosted.org/releases/s/e/%{name}/%{name}-%{version}.tar.bz2
Source1:	sectool.log
#patch taken from Fedora, adds $(RPM_OPT_FLAGS) to CFLAGS
Patch0:		sectool-0.9.5-optflags.patch
# (cg) https://bugzilla.redhat.com/show_bug.cgi?id=809437
Patch1:		sectool-0.9.5-dbus.patch
License:	GPLv2+
Group:		System/Base
Requires:	gettext   
Requires:	coreutils
Requires:	python
Requires:	python-selinux
Requires:	python-rpm
Requires:	python-slip-dbus
Requires:	dbus
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	asciidoc
BuildRequires:	librpm-devel
BuildRequires:	selinux-devel
	
%package gui
Summary: GUI for sectool - security audit system and intrusion detection system
License: GPLv2+
Group: System/Base
Requires: sectool = %{version}-%{release}
Requires: pygtk2
Requires: usermode
Requires: gnome-python-gnomevfs


%description
sectool is a security tool that can be used both as a security audit
and intrusion detection system. It consists of set of tests, library
and command line interface tool. Tests are sorted into groups and security
levels. Admins can run certain tests, groups or whole security levels.
The library and the tools are implemented in python and tests are
language independent.
	
%description gui
sectool-gui provides a GTK-based graphical user interface to sectool.
	
%prep
%setup -q
%apply_patches

%build
# fix hardcoded /usr/libexec to %_libexecdir
sed -i 's!LIBEXECDIR=$(PREFIX)/libexec!LIBEXECDIR=%_libexecdir!' %{name}.mk
sed -i 's!Exec=/usr/libexec/sectool-mechanism.py!Exec=%_libexecdir/sectool-mechanism.py!' org.fedoraproject.sectool.mechanism.service

%make

%install
%makeinstall_std
desktop-file-install --delete-original \
  --dir %{buildroot}%{_datadir}/applications \
  --vendor=mageia \
   %{buildroot}%{_datadir}/applications/sectool.desktop

	
#logrotate
install -d -m 755 %{buildroot}%{_sysconfdir}/logrotate.d
install -p -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/logrotate.d/sectool
#adjust paths in sectool.conf
sed -i 's,DSC_DIR=\(.*\),DSC_DIR=%{_sysconfdir}/sectool/tests,' %{buildroot}%{_sysconfdir}/sectool/sectool.conf
sed -i 's,TESTS_DIRS=\(.*\),TESTS_DIRS=%{_datadir}/sectool/tests,' %{buildroot}%{_sysconfdir}/sectool/sectool.conf
sed -i 's,TDATA_DIR_BASE=\(.*\),TDATA_DIR_BASE=%{_localstatedir}/lib/sectool,' %{buildroot}%{_sysconfdir}/sectool/sectool.conf
#adjust icons path in guiOutput.py
sed -i 's,__ico_path = \(.*\),__ico_path = "%{_datadir}/pixmaps/sectool/",' %{buildroot}%{_datadir}/sectool/guiOutput.py
#this file is just for development
rm %{buildroot}/%{_datadir}/sectool/scheduler/selftest.py
#create an empty logfile
mkdir -p  %{buildroot}%{_logdir}
touch %{buildroot}%{_logdir}/sectool.log

#move test to where sectool expects them to be
mv %{buildroot}%{_libexecdir}/%{name}/tests %{buildroot}%{_datadir}/%{name}/tests
rm -f %{buildroot}%{_libexecdir}/%{name}/tests

%find_lang %{name}

%files -f %{name}.lang
%doc COPYING AUTHORS README doc/tests_documentation.html
%config(noreplace) %{_sysconfdir}/sectool/
%config(noreplace) %{_sysconfdir}/logrotate.d/sectool
%dir %{_localstatedir}/lib/sectool
%dir %{_datadir}/sectool
%{_sbindir}/sectool
#library with tests
%{_datadir}/sectool/scheduler
%{_datadir}/sectool/tests
%{_libexecdir}/sectool-mechanism.py
# command line tool
%{_datadir}/sectool/actions.py*
%{_datadir}/sectool/__init__.py*
%{_datadir}/sectool/output.py*
%{_datadir}/sectool/mailoutput.py*
%{_datadir}/sectool/sectool.py*
%{_datadir}/sectool/tuierrors.py*
%{_datadir}/%{name}/sectool-mechanism.py
%{_mandir}/man8/sectool.8.*
%ghost %{_logdir}/%{name}.log

# PolicyKit
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/org.fedoraproject.sectool.mechanism.conf
%{_datadir}/polkit-1/actions/org.fedoraproject.sectool.policy
%{_datadir}/dbus-1/system-services/org.fedoraproject.sectool.mechanism.service
	
	
%files gui
%config(noreplace) %{_sysconfdir}/pam.d/sectool-gui
#%config(noreplace) %{_sysconfdir}/security/console.apps/sectool-gui
%{_bindir}/sectool-gui
%{_datadir}/sectool/gui*.py*
%{_datadir}/sectool/sectool-gui.py*
%{_datadir}/pixmaps/sectool-gui.png
%{_datadir}/pixmaps/sectool-min.png
%{_datadir}/applications/mageia-sectool.desktop
%{_datadir}/pixmaps/sectool/*.png


%changelog

* Tue Apr 03 2012 colin <colin> 0.9.5-3.mga2
+ Revision: 228198
- Fix dbus config privilege escalation (rhbz#809437)

* Tue Dec 20 2011 dmorgan <dmorgan> 0.9.5-2.mga2
+ Revision: 185015
- Rebuild against rpm 4.9.1.2

  + doktor5000 <doktor5000>
    - new version 0.9.5
    - change vendor in .desktop file to Mageia
    - remove obsolete %%clean section and  %%defattr
    - use %%makeinstall_std macro
    - add Require on python-slip-dbus
    - fix hardcoded usage of /usr/libexec
    - fix location of tests
    - added sectool-0.9.5-optflags patch
    - add Requires on python-rpm for sectool (mga bug#2255)
    - add Requires on gnome-python-gnomevfs2 for -gui subpackage (mga bug#2255)

  + ennael <ennael>
    - fix make
    - remove patches
    - remove patches
    - clean spec file
    - imported package sectool


* Sat Mar 12 2011 Funda Wang <fwang@mandriva.org> 0.9.3-5mdv2011.0
+ Revision: 643883
- rebuild to obsolete old packages

* Thu Feb 10 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.9.3-4
+ Revision: 637183
- fix bug with use of no longer existing /usr/bin/rpmverify (#62422)

* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9.3-3mdv2011.0
+ Revision: 614833
- the mass rebuild of 2010.1 packages

* Sun Dec 05 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.9.3-2mdv2011.0
+ Revision: 610670
- fix so that we can pass our own set of CFLAGS & LDFLAGS without breaking build
- add rpm5 support (P0)

* Wed Jan 13 2010 Eugeni Dodonov <eugeni@mandriva.com> 0.9.3-1mdv2010.1
+ Revision: 490619
- Correct BR for selinux-devel.
- Use correct RPM groups.
- Imported sectool from fedora srpm.
- Created package structure for sectool.

